Subject: Re: bug#68375: 29.1; lispref documentation fixes

From: Xiyue Deng <[email-masked]>
Date: Thu, 11 Jan 2024 08:46:57 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Xiyue Deng <[email-masked]>
>> Date: Wed, 10 Jan 2024 14:56:23 -0800
>> 
>> Please find the attached patches for a cumulation of documentation fixes
>> for lispref up to chapter 19 that includes typos, formatting, etc.
>> Please let me know if any changes need improvements and I'll adjust
>> accordingly.
>
> Thanks.  See below.
>
>> --- a/doc/lispref/objects.texi
>> +++ b/doc/lispref/objects.texi
>> @@ -1573,7 +1573,7 @@ editing.
>>  (@pxref{Files}) so they can be edited, but some are used for other
>>  purposes.  Most buffers are also meant to be seen by the user, and
>>  therefore displayed, at some time, in a window (@pxref{Windows}).  But
>> -a buffer need not be displayed in any window.  Each buffer has a
>> +a buffer needs not be displayed in any window.  Each buffer has a
>
> This is not a typo: the wording here is correct English.  So I didn't
> install this part.
>

Indeed.  Please excuse my poor English.

>>    A string is a fixed sequence of characters.  It is a type of
>> -sequence called a @dfn{array}, meaning that its length is fixed and
>> +sequence called an @dfn{array}, meaning that its length is fixed and
>
> The "an" here is correct, since in a manual one sees "an array", which
> is correct English.  So I didn't install this part.

Thanks Stephen for the help, too!

>
>>  For information about other concatenation functions, see the
>> -description of @code{mapconcat} in @ref{Mapping Functions},
>> +descriptions of @code{mapconcat} in @ref{Mapping Functions},
>
> There's nothing wrong with using singular here, so I didn't install
> this part.
>
>> * doc/lispref/symbols.texi (Shorthands): Wrap `@pxref{Abbrevs}' in
>> parentheses.
>
> I installed this part.
>
>> >From 454ed28e302493d678d2306b908c9542a8491daa Mon Sep 17 00:00:00 2001
>> From: Xiyue Deng <[email-masked]>
>> Date: Tue, 2 Jan 2024 16:31:30 -0800
>> Subject: [PATCH 5/6] Fix count of no-op functions
>> 
>> It looks like there are actually three kinds of no-op functions.
>> 
>> * doc/lispref/functions.texi (Calling Functions): Fix count and
>> plural of no-op functions.
>
> I installed this part as well.
>
>> * doc/lispref/debugging.texi (Syntax Errors): Fix unmatched
>> parentheses.
>
> I didn't install this part, because there's nothing wrong with
> parentheses here.  Using @pxref as below:
>
>>    If the problem is not simply an imbalance of parentheses, a useful
>> -technique is to try @kbd{C-M-e} (@code{end-of-defun}, @pxref{Moving by
>> +technique is to try @kbd{C-M-e} (@code{end-of-defun}), @pxref{Moving by
>>  Defuns,,,emacs, The GNU Emacs Manual}) at the beginning of each defun,
>
> is perfectly correct.  So I didn't install this part.

Another example that late reading is not a good idea.  Sorry for the
noise.

>
> Please note that with this contribution we've exhausted the amount of
> changes we can accept from you without a copyright assignment.  Would
> you like to start the legal paperwork of assigning to the FSF the
> copyright for your future contributions?  If so, I will send you the
> form to fill and the instructions to email the filled form.

I'm already in the process and finished document.  I'm currently still
waiting for reply on how to handle employer exemption.  Hopefully I'll
hear back from [email-masked] soon.

>
> Thanks, I will now close this bug.

-- 
Xiyue Deng